For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
      • POSTCreate workflow
      • DELDelete workflow
      • GETGet custom workflow
      • GETGet workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewWorkflows

Get custom workflow

GET
/api/v2/projects/:projectKey/flags/:featureFlagKey/environments/:environmentKey/workflows/:workflowId
GET
/api/v2/projects/:projectKey/flags/:featureFlagKey/environments/:environmentKey/workflows/:workflowId
$curl https://app.launchdarkly.com/api/v2/projects/projectKey/flags/featureFlagKey/environments/environmentKey/workflows/workflowId \
> -H "Authorization: <apiKey>"
1{
2 "_id": "12ab3c4d5ef1a2345bcde67f",
3 "_version": 1,
4 "_conflicts": [
5 {
6 "stageId": "12ab3c4d5ef1a2345bcde67f",
7 "message": "string"
8 }
9 ],
10 "_creationDate": 1654104600000,
11 "_maintainerId": "12ab3c45de678910abc12345",
12 "_links": {},
13 "name": "Progressive rollout starting in two days",
14 "_execution": {
15 "status": "completed"
16 },
17 "description": "Turn flag on for 10% of customers each day",
18 "kind": "custom",
19 "stages": [
20 {
21 "_id": "12ab3c45de678910abc12345",
22 "conditions": [
23 {
24 "_id": "string",
25 "_execution": {
26 "status": "completed"
27 },
28 "description": "string",
29 "notifyMemberIds": [
30 "string"
31 ],
32 "allReviews": [
33 {
34 "_id": "string",
35 "kind": "string",
36 "creationDate": 1,
37 "comment": "string",
38 "memberId": "string",
39 "serviceTokenId": "string"
40 }
41 ],
42 "reviewStatus": "string",
43 "kind": "schedule",
44 "scheduleKind": "relative",
45 "waitDuration": 2,
46 "waitDurationUnit": "calendarDay",
47 "id": "12ab3c45de678910abc12345"
48 }
49 ],
50 "action": {
51 "kind": "patch",
52 "instructions": [
53 "[{\"kind\": \"turnFlagOn\"}]"
54 ]
55 },
56 "_execution": {
57 "status": "completed"
58 },
59 "name": "10% rollout on day 1"
60 }
61 ],
62 "meta": {
63 "parameters": [
64 {
65 "_id": "string",
66 "path": "string",
67 "default": {
68 "value": null,
69 "booleanVariationValue": true,
70 "ruleClause": {
71 "attribute": "string",
72 "op": "in",
73 "negate": true
74 }
75 },
76 "valid": true
77 }
78 ]
79 },
80 "templateKey": "example-workflow-template"
81}
Get a specific workflow by ID.
Was this page helpful?
Previous

Get workflows

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
featureFlagKeystringRequiredformat: "string"
The feature flag key
environmentKeystringRequiredformat: "string"
The environment key
workflowIdstringRequiredformat: "string"
The workflow ID

Response

Workflow response
_idstring
The ID of the workflow
_versioninteger
The version of the workflow
_conflictslist of objects
Any conflicts that are present in the workflow stages
_creationDatelong
Timestamp of when the workflow was created
_maintainerIdstring
The member ID of the maintainer of the workflow. Defaults to the workflow creator.
_linksmap from strings to objects
The location and content type of related resources
namestring
The name of the workflow
_executionobject
The current execution status of the workflow
descriptionstring
A brief description of the workflow
kindstring
The kind of workflow
stageslist of objects
The stages that make up the workflow. Each stage contains conditions and actions.
metaobject
For workflows being created from a workflow template, this value holds any parameters that could potentially be incompatible with the current project, environment, or flag
templateKeystring
For workflows being created from a workflow template, this value is the template's key

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error